Package com.oracle.truffle.api.dsl

## Annotation Type NodeAssumptions

    @Retention(CLASS)
    @Target(TYPE)
    public @interface NodeAssumptions

Declares one or multiple assumptions for use inside a source code generation enabled node. Declared assumptions must be passed to the `NodeFactory.createNode(Object...)` method as parameters.

### Required Element Summary

Required Elements
`java.lang.String[]` `value`

### Element Detail

#### value

    java.lang.String[] value